Bug 455148 - man page suggests you can't load bzImage-format kernels
man page suggests you can't load bzImage-format kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 17:32 EDT by Robert P. J. Day
Modified: 2009-07-15 04:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:18:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2008-07-12 17:32:27 EDT
$ man kexec
...
 Note: Compressed kernel images such as bzImage are not supported by kexec.
       Use the uncompressed vmlinux.
...

  i'm fairly sure you can boot bzImage kernels, no?
Comment 1 Robert P. J. Day 2008-07-12 17:36:10 EDT
whoops, i should have pointed out that the man page lists valid formats as
Beoboot-x86, elf-x86 and multiboot-x86 but, these days, there's also bzImage and
nbi-x86.

p.s.  and it's not "Beoboot-x86", just "beoboot-x86".
Comment 2 Robert P. J. Day 2008-07-12 17:48:05 EDT
on a roll here, so i hope you don't mind me just adding all these issues to the
same BZ report:

$ rpm -q kexec-tools
kexec-tools-1.102pre-8.fc9.i386
$ kexec -v
kexec-tools-testing 20070330 released 30th March 2007

kind of a mismatch between the version labels.

Comment 3 Robert P. J. Day 2008-07-12 17:51:15 EDT
and the pedantic proofreading continues.  from the kexec-tools source rpm:

kdump/kdump.c:		fprintf(stderr, "Bad core dump start addres: %s\n",
                                                             ^^^^^^

Comment 4 Robert P. J. Day 2008-07-12 18:40:35 EDT
"kexec --help" typoes:

...
bzImage
...
    --real-mode           Use the kernels real mode entry point.
                                  kernel's
...
beoboot-x86
...
    --real-mode           Use the kernels real mode entry point.
                                  kernel's
...
     --serial-baud=<buad_rate> Specify the serial port baud rate
                    ^^^^


Comment 5 Neil Horman 2008-07-15 14:58:49 EDT
Fixed in -11.fc9.  I'll push an update when something functional needs to be
corrected.
Comment 6 Bug Zapper 2009-06-09 22:04:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-15 04:18:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.